Subject: [Netmod-ver-dt] YANG packages - ready to post?

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Tue, 22 Oct 2019 15:25:53 +0000

Hi,

I think that I have hopefully resolved the main points that came up in review (principally except whether we have different structures for the file vs the device).

I think that it would be good to get the current version posted to the WG, but if anyone wants to review/check my markups before I post, please let me know before Thursday's meeting.

When I send it to the WG, I intend to also point out some of the open questions that they may want to consider or comment on.  Of course comments on the rest of the draft will also be welcome.

The questions are:

1) Should packages use different structures for the file vs the device?

The current approach aims to optimize for readability in the file and data transfer on the device (by reusing YANG library module-sets).

One alternative is to use the same structure on both, with a duplication on module metadata information on the server by not reusing the YANG library module-sets.

2) The new version of the packages draft uses SHA-256 checksums on module, sub-module, and included package definitions.  Normally, a SHA-256 checksum is 64 characters long, but we could allow a prefix of the checksum to optionally be used in the files instead (i.e. similarly to how git commit hashes are handled).

3) Packages are allowed to use "tags" (from draft-ietf-netmod-module-tags) to add extra metadata to a package.  Currently, the draft doesn't provide any mechanism to add, remove, modify the tags associated with a package on a device.  Should this be added, or can this work reasonably be deferred?

4) The package definitions examples don't include/require XML namespaces.  Allowing, but not requiring, these in a package definition seems OK, but I prefer a solution that expects that package and module names to be unique (which, for modules at least, I think that the YANG JSON encoding effectively requires?).

5) I presume that we should try and define an IANA registry for package definitions, similar to the IANA YANG module registry.  Arguably, it might be more useful if the registry could be wider than just IETF modules.

Thanks,
Rob

-----Original Message-----
From: Netmod-ver-dt <[email-masked]> On Behalf Of Robert Wilton
Sent: 22 October 2019 11:07
To: [email-masked]
Subject: [Netmod-ver-dt] [rgwilton/YANG-Packages-Draft] 72951e: Further markups

  Branch: refs/heads/master
  Home:   https://github.com/rgwilton/YANG-Packages-Draft
  Commit: 72951e88a99d3f412838badf9f9485e368d6ddd5
      https://github.com/rgwilton/YANG-Packages-Draft/commit/72951e88a99d3f412838badf9f9485e368d6ddd5
  Author: rwilton <[email-masked]>
  Date:   2019-10-22 (Tue, 22 Oct 2019)

  Changed paths:
    M draft-rwilton-netmod-yang-packages.txt
    M draft-rwilton-netmod-yang-packages.xml
    M ietf-yang-inst-data-pkg.yang
    M ietf-yang-package-types.yang
    M ietf-yang-package.yang
    M ietf-yl-packages.yang

  Log Message:
  -----------
  Further markups

_______________________________________________
Netmod-ver-dt mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod-ver-dt